<?php

namespace Drupal\spammaster;

use Drupal\Core\Session\AccountProxy;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Class service.
 */
class SpamMasterUserService {

  /**
   * Drupal\Core\Session\AccountProxy definition.
   *
   * @var \Drupal\Core\Session\AccountProxy
   */
  protected $currentUser;

  /**
   * The form class.
   *
   * @var \Drupal\Core\Form\FormInterface
   */
  protected $spamuser;

  /**
   * {@inheritdoc}
   */
  public function __construct(AccountProxy $current_user) {
    $this->currentUser = $current_user;
  }

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    return new static(
      $container->get('current_user')
    );
  }

  /**
   * {@inheritdoc}
   */
  public function spamMasterGetUser($spamuser) {

    $this->spamuser = $spamuser;
    $spam_user_id = $this->currentUser->id();
    if (!empty($spam_user_id)) {
      $spam_username = $this->currentUser->getDisplayName();
      if (empty($spam_username)) {
        $spam_username = '';
      }
      $spamuser = [
        'ID'       => $spam_user_id,
        'username' => $spam_username,
        'avatar'   => '',
      ];
    }
    else {
      $spamuser = [
        'ID' => 'none',
      ];
    }
    $spammasteruserid = json_encode($spamuser, TRUE);

    return [
      'spammasteruserid' => $spammasteruserid,
    ];

  }

}
